=== debian/control ===
Source: tcpspy
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), bison, flex, groff
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/tcpspy
Vcs-Git: https://salsa.debian.org/debian/tcpspy.git

Package: tcpspy
Architecture: any
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Description: Incoming and Outgoing TCP/IP connections logger
 tcpspy is an administrator's tool that logs information
 about incoming and outgoing TCP/IP connections. It's
 written in C and uses no libpcap functions, unlike tcpdump.
 .
 Connections are selected for logging with rules, similarly
 to the filter expressions accepted by tcpdump. The
 following information is logged: username, local address
 and port, remote address and port, and, optionally, the
 executable filename.
 .
 This Debian version supports IPv4 and IPv6.
