=== debian/tests/control ===
Test-Command: tcpspy --help 2>&1 | grep -i usage
Restrictions: needs-root, superficial
